Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class DecodesPhaseNotifiyingListener

    java.lang.Object
      org.richfaces.component.DecodesPhaseNotifiyingListener

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.faces.event.PhaseListener

    public class DecodesPhaseNotifiyingListener

extends java.lang.Object
implements javax.faces.event.PhaseListener

Author:
  Nick - mailto:nbelaevski@exadel.com created 01.12.2006 Apply Request Values phase listener setting flag in request scope after phase is processed to handle internal node state modifying events on immediate tree properly. Tree component creates and registers single listener on instance creation if none listeners weren't created before.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DECODE_PHASE_NOTICE_NAME` Name of request attribute to indicate we've done with decodes phase

Method Summary
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId` | `getPhaseId()`
`static void` | `registerListenerInstance(javax.faces.context.FacesContext facesContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DECODE_PHASE_NOTICE_NAME

    public static final java.lang.String DECODE_PHASE_NOTICE_NAME

  Name of request attribute to indicate we've done with decodes phase

Method Detail

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

### registerListenerInstance

    public static void registerListenerInstance(javax.faces.context.FacesContext facesContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.